
CoCoA-5 - Bug #1695

boost-find-lib.sh

16 Aug 2022 21:27 - John Abbott

Status: Closed Start date: 16 Aug 2022

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Portability Estimated time: 0.88 hour

Target version: CoCoA-5.4.2 Spent time: 0.85 hour

Description

Robert Goldman reported by email (2022-08-15) that the script boost-find-lib.sh

did not work with a standard installation on Ubuntu (presumably 22.04).

Fix.

Related issues:

Related to CoCoA-5 - Design #1696: Which BOOST libs are actually needed? Closed 18 Aug 2022

Related to CoCoA-5 - Design #1697: Specifying BOOST in configure Closed 18 Aug 2022

Related to CoCoALib - Support #1700: boost_1_80_0 Closed 14 Oct 2022

Related to CoCoALib - Feature #1360: configure script: add flags for "only co... Closed 01 Nov 2019

History

#1 - 16 Aug 2022 21:29 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 30

I have changed the list of dirs to search for the BOOST libs, and have asked Robert Goldman to verify that it works for him.

The script is rather scrappy, and should be made tidier.

It would be nice to have a check to see whether there is a standard installation of BOOST (so it suffices just to specify -lboost)

#2 - 18 Aug 2022 11:38 - John Abbott

- Related to Design #1696: Which BOOST libs are actually needed? added

#3 - 18 Aug 2022 14:38 - John Abbott

- Related to Design #1697: Specifying BOOST in configure added

#4 - 14 Oct 2022 10:18 - Anna Maria Bigatti

- Related to Support #1700: boost_1_80_0 added

#5 - 23 Nov 2022 17:32 - John Abbott

- Status changed from In Progress to Feedback

- Assignee set to John Abbott

- % Done changed from 30 to 90

- Estimated time set to 0.88 h

JAA thinks this has probably been resolved by the new configuration system.

So changing to feedback status.
#6 - 23 Nov 2022 17:33 - John Abbott

- Related to Feature #1360: configure script: add flags for "only cocoalib" or "both cocoalib and cocoa5" (for boost) added

#7 - 09 Mar 2023 22:42 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
